{
    "version": "0.2.0",
    "configurations": [
        
        {
            
            "name": "AS400API: Launch",
            "type": "coreclr",
            "request": "launch",
            "preLaunchTask": "build",
            "program": "dotnet",
            "args": [ "run", "--project", "${workspaceFolder}/AS400API.csproj" ],
            "cwd": "${workspaceFolder}",
            "stopAtEntry": false,
            "serverReadyAction": {
                "action": "openExternally",
                "pattern": "\\bNow listening on:\\s+(https?://[^\\s]+)"
            },
            "env": {
                "ASPNETCORE_ENVIRONMENT": "Development",
                "DOTNET_ENVIRONMENT": "Development",
                "ASPNETCORE_URLS": "http://0.0.0.0:5080"
            }
        },
        {
            "name": "AS400API: Attach",
            "type": "coreclr",
            "request": "attach"
        }
    ]
}
